{% extends 'base.html' %}

{% block title %}
    {{ recipe_object.title }} - Scrumptious Recipes
{% endblock title %}

{% block main %}
<h1 class="recipe_link">{{ recipe_object.title }}</h1>
<div><img src="{{ recipe_object.picture }}"></div>
<div>&#9733;&#9733;&#9733;&#9733;&#9734;4.3 Stars</div>
<p ><span class="has-opaque-background">{{ recipe_object.description }}</span></p>
<h2><span class="has-opaque-background">Ingredients</span></h2>
<table class="has-opaque-background">
    <thead>
        <tr>
            <th>Amount</th>
            <th>Food Item</th>
        </tr>
    </thead>
    <tbody>
        {% for ingredient in recipe_object.ingredients.all %}
            <tr>
                <td>{{ ingredient.amount }}</td><td>{{ ingredient.food_item }}</td>
            </tr>
        {% endfor %}
    </tbody>
</table>
<div class="has-opaque-background">
    <h2 >Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all %}
            <li>{{ step.instruction }}</li>
            {% endfor %}
        </ol>
</div>
<a id="edit-recipe-button" href="{% url 'edit_recipe' recipe_object.id %}">Edit Recipe</a>
<a id="edit-recipe-button" href="{% url 'add_to_shopping_list' recipe_object.id %}">Add Ingredients to Shopping List</a>
{% endblock main %}
